Implementation instructions for Tracking
=================================================

Requirements
------------

Import the casper, utilities, net, and dapi libraries from the SDK git hub repo:

git://github.zynga.com/sdk/zynga-android-sdk.git

You will need the following permission in your permissions file
    <uses-permission android:name="android.permission.READ_PHONE_STATE"/>


Install Tracking
----------------
Game Ids should come from the following source:

https://zyntranet.corp.zynga.com/display/Stats/Constants#Constants-GameIDs


During application startup, as soon as possible, you should call following method.
This should be done every time the game is launched.

	    	InstallTracker tracker = InstallTracker.getInstance(Context context);
	    	tracker.appLaunch(String gameId);
	    	
FTUE Complete
-------------
Game Ids should come from the following source:

https://zyntranet.corp.zynga.com/display/Stats/Constants#Constants-GameIDs

After the user has completed the FTUE you should call the following method.

	    	InstallTracker tracker = InstallTracker.getInstance(Context context);
	    	tracker.ftueComplete(String gameId, String snid, String snuid);
	    	
Notes:
 
 - snid: the social network id to use, if player is Zynga <b>anonymous</b> then please use <b>24 NOT 18</b>! Otherwise standard values apply ie 1 = facebook, etc.
 
 - snuid: the social network user id, in the case of 24 (anon, zynga) this would be your zid, for facebook (1) this would be your facebook user id.


Ad Click Tracking
-----------------
Game Ids should come from the following source:

https://zyntranet.corp.zynga.com/display/Stats/Constants#Constants-GameIDs


This is already done by X-Promo / Inbox, however if a title is using some other
promotional piece and needs to track ad clicks the following can be used:

	    	InstallTracker tracker = InstallTracker.getInstance(Context context);
	    	// One of the following two:
	    	tracker.adClicked(String gameId, String destGameId, String destGame);
	    	tracker.adClicked(String gameId, String destGameId, String destGame, String source, String affiliate, String creative, String campaign);
